uk.gov.hmrc.mongo.play.json.formats

# MongoFormats

###
Related Docs: object MongoFormats | package formats

#### trait MongoFormats extends AnyRef

Self Type
  MongoFormats

Linear Supertypes
AnyRef, Any
Known Subclasses
MongoFormats
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. MongoFormats
2. AnyRef
3. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Type Members

1. #### trait Implicits extends AnyRef

### Value Members

1. #### final def !=(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

3. #### final def ==(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

4. #### object Implicits extends Implicits

5. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

6. #### def clone(): AnyRef

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )

7. #### final def eq(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

8. #### def equals(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

9. #### def finalize(): Unit

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( classOf[java.lang.Throwable] )

10. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

11. #### def hashCode(): Int

    Definition Classes
      AnyRef → Any

12. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

13. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

14. #### final def notify(): Unit

    Definition Classes
      AnyRef

15. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

16. #### val objectIdFormats: Format[ObjectId]

17. #### val objectIdRead: Reads[ObjectId]

18. #### val objectIdWrite: Writes[ObjectId]

19. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

20. #### def toString(): String

    Definition Classes
      AnyRef → Any

21. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

22. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

23. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

### Deprecated Value Members

1. #### def mongoEntity[A](baseFormat: Format[A]): Format[A]

   Maps a Format for an entity with 'id' field to mongo by renaming the id field to internal '_id'.

   Maps a Format for an entity with 'id' field to mongo by renaming the id field to internal '_id'. Useful for auto generated Formats, where the model id key is named 'id'.

       case class MyObject(id: ObjectId)
       val formats: Format[MyObject] = mongoEntity(Json.format[MyObject]}

   This is deprecated since an explicit Format, mapping id to `_id` is preferred. Also any queries on id would still need to use the underlying '_id' name.

   Annotations
     @deprecated
   Deprecated

     Map entity `id` directly to `_id`, rather than using JSON automated macro.

### Inherited from AnyRef

### Inherited from Any

### Ungrouped